%define _with_repolib 1

# If you want repolib package to be built,
# issue the following: 'rpmbuild --with repolib'
%define with_repolib %{?_with_repolib:1}%{!?_with_repolib:0}
%define without_repolib %{!?_with_repolib:1}%{?_with_repolib:0}

%define version_maj 1
%define version_min 0
%define version_rev 0
%define version_tag GA_CP07
%define patch_tag -patch-01
%define namedversion %{version_maj}.%{version_min}.%{version_rev}.%{version_tag}
%define version_full %{version_maj}.%{version_min}.%{version_rev}.%{version_tag}%{patch_tag}
#- is not allowed in the Release: tag, so changing to _
%define brewreltag %{version_tag}_patch_01

 
Summary:        JBoss Web Services (common)
Name:           jbossws-common
Version:        %{version_maj}.%{version_min}.%{version_rev}
Release:        5.%{brewreltag}.1.ep1%{?dist}
Epoch:          0
License:        LGPL
Group:          Development/Java
URL:            http://labs.jboss.com/jbossws/

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
# svn export https://svn.jboss.org/repos/jbossws/common/tags/jbossws-common-1.0.0.GA_CP07/ jbossws-common-1.0.0.GA_CP07
# Exported revision 14680.
# tar czf jbossws-common-1.0.0.GA_CP07.tar.gz jbossws-common-1.0.0.GA_CP07
Source0:        %{name}-%{namedversion}.tar.gz
Source1:        %{name}-%{namedversion}-tp.tar.gz
Source2:        %{name}-component-info.xml
Patch0:         %{name}-ant-hack.patch
# JBPAPP-7108 JBossWS - Performance regression due to disable DOCTYPE declaration in DOMUtils
#https://source.jboss.org/browse/~raw,r=14935/JBossWS/common/branches/jbossws-common-1.0.0.GA_CP/src/main/java/org/jboss/wsf/common/SecurityActions.java
Source3:        %{name}-JBPAPP-7108-SecurityActions.java
Patch1:         %{name}-JBPAPP-7108.patch

BuildRequires:  ant
BuildRequires:  glassfish-jaf
BuildRequires:  glassfish-jaxb
BuildRequires:  glassfish-jaxws
BuildRequires:  jboss-common
BuildRequires:  jboss-microcontainer >= 0:1.0.2
BuildRequires:  jbossas
BuildRequires:  junit >= 3.8.1
BuildRequires:  jbossws-spi >= 1.0.0


%description
JBossWS Common


%define repodir_root repository.jboss.com
%define repodir_release jboss/%{name}/%{version_full}
%define repodir %{_javadir}/%{repodir_root}/%{repodir_release}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%if %{with_repolib}
%package     repolib
Summary:     Artifacts to be uploaded to a repository library
Group:  Development/Libraries/Java

%description     repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio
%endif


%prep

sed -i 's/@VERSION@/%{version_full}-brew/g' %{SOURCE2}
tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" %{SOURCE2}

%setup -n %{name}-%{namedversion}

%define reposave output/reposave
reposave=%{reposave}
sed -i "s|@REPOSAVE@|$reposave|" %{PATCH0}
%patch0 -p1

# JBPAPP-7108
install -p %{SOURCE3} src/main/java/org/jboss/wsf/common/SecurityActions.java
%patch1 -p0

# FIXME: We still have 1 binary JAR as dependency:
# jaxrpc-api.jar
tar -xvzf %{SOURCE1}
pushd thirdparty
ln -s $(build-classpath jbossws-spi) .
ln -s $(build-classpath jboss-common/jboss-common) jboss-common-core.jar
ln -s $(build-classpath jboss-common/jboss-common) jboss-logging-spi.jar
ln -s $(build-classpath jboss-microcontainer/jboss-microcontainer) jboss-microcontainer.jar
ln -s $(build-classpath jboss-microcontainer/jboss-dependency) jboss-dependency.jar
ln -s $(build-classpath jbossas/jboss-j2ee) jboss-javaee.jar
ln -s $(build-classpath junit) junit.jar
ln -s $(build-classpath activation) .
ln -s $(build-classpath sun-jaxb/jaxb-api) .
ln -s $(build-classpath sun-jaxws/jaxws-api) .
ln -s $(build-classpath sun-jaxws/saaj-api) .
popd

# After patching ant.properties.examples we can use it in the build
mv ant.properties.example ant.properties


%build
%if %{with_repolib}
ant release
%else
ant jars
%endif


%install
rm -rf $RPM_BUILD_ROOT

install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 output/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version_full}.jar

pushd $RPM_BUILD_ROOT%{_javadir}
ln -sf %{name}-%{version_full}.jar %{name}.jar
popd

%if %{with_repolib}
    install -d -m 755 $RPM_BUILD_ROOT%{repodir}
    install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
    install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
    install -m 755 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}

    # FIXME line below had %{repodir_release} instead of jboss/name/%{namedversion}
    cp -R %{reposave}/jboss/%{name}/%{namedversion}/* $RPM_BUILD_ROOT%{repodir}

    # Clobber the existing component-info.xml with our patched, sed'ed version
    cp --remove-destination %{SOURCE2} $RPM_BUILD_ROOT%{repodir}/component-info.xml
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-%{version_full}.jar
%{_javadir}/%{name}.jar

%if %{with_repolib}
%files repolib
%defattr(0644,root,root,0755)
%{repodir}
%endif


%changelog
* Wed Sep 07 2011 Martha Benitez <mbenitez@redhat.com> - 0:1.0.0-5.GA_CP07-patch-01.1
- Upgrade to 1.0.0.GA_CP07-patch-01

* Tue Jul 12 2011 Martha Benitez <mbenitez@redhat.com> - 0:1.0.0-4.GA_CP07.1
- Upgrade to 1.0.0.GA_CP07

* Wed Jun 01 2011 Martha Benitez <mbenitez@redhat.com> - 0:1.0.0-3.GA_CP06.2
- Add compatible line for jbossws-spi 1.0.0.GA_CP03 to component-info.xml

* Wed Sep 29 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0.0-3.GA_CP06.1
- Upgrade to CP06

* Fri Oct 30 2009 Permaine Cheung <pcheung@redhat.com> 0:1.0.0-2.GA_CP05.1
- Upgrade to CP05

* Tue May 12 2009 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-2.GA_CP04.1
- Upgrade to CP04
- Use jboss-microcontainer package

* Wed Jan 14 2009 Permaine Cheung <pcheung@redhat.com> 0:1.0.0-2.GA_CP03.1
- Upgrade to CP03

* Mon Oct 06 2008 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-2.GA_CP02.1
- Upgrade to CP02
- Turn on debug symbols
- Replace most binary dependencies with the ones from RPMs

* Wed Jun 25 2008 David Walluck <dwalluck@redhat.com> 0:1.0.0-1.GA_CP01.0jpp.ep1.3
- fix rpm changelog

* Tue Jun 24 2008 David Walluck <dwalluck@redhat.com> 0:1.0.0-1.GA_CP01.0jpp.ep1.2
- fix source file names

* Tue Jun 24 2008 David Walluck <dwalluck@redhat.com> 0:1.0.0-1.GA_CP01.0jpp.ep1.1
- 1.0.0 GA_CP01

* Wed Nov 14 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.8
- Update component-info.xml to be compatible with "-brew" version of
  dependency.

* Wed Nov 14 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.7
- Quick fix to add 'version' and 'tag' attributes to the component-info.xml
  root element.

* Thu Nov 08 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.6
- Added -brew suffix for repolib

* Wed Nov 07 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.5
- First /actual/ building version

* Tue Nov 06 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.4
- Added missing defattr to files list

* Fri Nov 02 2007 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-0jpp.ep1.3
- Build repolib

* Wed Oct 31 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.2
- Rebuild

* Wed Oct 31 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.1
- Rebuild

* Wed Oct 31 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0.GA-0.1
- First release. Also, Halloween!
